package cn.com.ty.lift.ud.pay.service;

import cn.com.ty.lift.ud.pay.controller.req.PassbackParamsDTO;

public interface WxpayService {

    void wxCasePaymentComplete(String outTradeNo, String totalAmount, String tradeNo);
    
    void wxrechargePay(String outTradeNo, String totalAmount, String tradeNo, PassbackParamsDTO dto);
    
    void wxCallPaymentComplete(String outTradeNo, String totalAmount, String tradeNo);
    
    void wxQuestionPaymentComplete(Long questionId, Long userId, String tradeNo, String totalAmount, Integer i);
    
    void wxVideoPaymentComplete(Long videoId, Long userId, String tradeNo, String totalAmount, Integer i);
    
    void wxToVIPPaymentComplete(Long vipFeeSetting, Long userId, String tradeNo, String totalAmount);
}
